## LOC GNSS Sv Info indication

LOC GNSS Sv Info indication

## Functions

QmiIndicationLocGnssSvInfoOutput * | qmi_indication_loc_gnss_sv_info_output_ref ()
void | qmi_indication_loc_gnss_sv_info_output_unref ()
gboolean | qmi_indication_loc_gnss_sv_info_output_get_list ()
gboolean | qmi_indication_loc_gnss_sv_info_output_get_altitude_assumed ()

## Types and Values

| QmiIndicationLocGnssSvInfoOutput
| QmiIndicationLocGnssSvInfoOutputListElement

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationLocGnssSvInfoOutput

## Description

## Functions

### qmi_indication_loc_gnss_sv_info_output_ref ()

    QmiIndicationLocGnssSvInfoOutput *
    qmi_indication_loc_gnss_sv_info_output_ref
                                   (QmiIndicationLocGnssSvInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationLocGnssSvInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_loc_gnss_sv_info_output_unref ()

    void
    qmi_indication_loc_gnss_sv_info_output_unref
                                   (QmiIndicationLocGnssSvInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationLocGnssSvInfoOutput. |

Since: 1.22

### qmi_indication_loc_gnss_sv_info_output_get_list ()

    gboolean
    qmi_indication_loc_gnss_sv_info_output_get_list
                                   (QmiIndicationLocGnssSvInfoOutput *self,
                                    GArray **value_list,
                                    GError **error);

Get the 'List' field from `self` .

#### Parameters

self | a QmiIndicationLocGnssSvInfoOutput. |
value_list | a placeholder for the output GArray of QmiIndicationLocGnssSvInfoOutputListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_indication_loc_gnss_sv_info_output_get_altitude_assumed ()

    gboolean
    qmi_indication_loc_gnss_sv_info_output_get_altitude_assumed
                                   (QmiIndicationLocGnssSvInfoOutput *self,
                                    gboolean *value_altitude_assumed,
                                    GError **error);

Get the 'Altitude Assumed' field from `self` .

#### Parameters

self | a QmiIndicationLocGnssSvInfoOutput. |
value_altitude_assumed | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

## Types and Values

### QmiIndicationLocGnssSvInfoOutput

    typedef struct _QmiIndicationLocGnssSvInfoOutput QmiIndicationLocGnssSvInfoOutput;

The QmiIndicationLocGnssSvInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiIndicationLocGnssSvInfoOutputListElement

    typedef struct {
        QmiLocSatelliteValidInformation valid_information;
        QmiLocSystem system;
        guint16 gnss_satellite_id;
        QmiLocHealthStatus health_status;
        QmiLocSatelliteStatus satellite_status;
        QmiLocNavigationData navigation_data;
        gfloat elevation_degrees;
        gfloat azimuth_degrees;
        gfloat signal_to_noise_ratio_bhz;
    } QmiIndicationLocGnssSvInfoOutputListElement;

A QmiIndicationLocGnssSvInfoOutputListElement struct.

#### Members

QmiLocSatelliteValidInformation `valid_information`; | a QmiLocSatelliteValidInformation. |
QmiLocSystem `system`; | a QmiLocSystem. |
guint16 `gnss_satellite_id`; | a guint16. |
QmiLocHealthStatus `health_status`; | a QmiLocHealthStatus. |
QmiLocSatelliteStatus `satellite_status`; | a QmiLocSatelliteStatus. |
QmiLocNavigationData `navigation_data`; | a QmiLocNavigationData. |
gfloat `elevation_degrees`; | a gfloat. |
gfloat `azimuth_degrees`; | a gfloat. |
gfloat `signal_to_noise_ratio_bhz`; | a gfloat. |

Since: 1.22